### Method

# Gtk Snapshotpush_color_matrix

#### Declaration [src]

    void
    gtk_snapshot_push_color_matrix (
      GtkSnapshot* snapshot,
      const graphene_matrix_t* color_matrix,
      const graphene_vec4_t* color_offset
    )

#### Description [src]

Modifies the colors of an image by applying an affine transformation in RGB space.

In particular, the colors will be transformed by applying

    pixel = transpose(color_matrix) * pixel + color_offset

for every pixel. The transformation operates on unpremultiplied colors, with color components ordered R, G, B, A.

The image is recorded until the next call to `gtk_snapshot_pop()`.

#### Parameters

`color_matrix`

  Type: `graphene_matrix_t`

  The color matrix to use.

  The data is owned by the caller of the method.

`color_offset`

  Type: `graphene_vec4_t`

  The color offset to use.

  The data is owned by the caller of the method.